# cellrenderer_value.cpp File Reference

Template File. More...

`#include <gtkmm/label.h>`
`#include <ETL/stringf>`
`#include <gtkmm/celleditable.h>`
`#include <gtkmm/editable.h>`
`#include <gtkmm/entry.h>`
`#include <gtkmm/eventbox.h>`
`#include <gtk/gtkentry.h>`
`#include "app.h"`
`#include "widget_value.h"`
`#include "widget_vector.h"`
`#include "widget_filename.h"`
`#include "widget_enum.h"`
`#include "widget_color.h"`
`#include "widget_canvaschooser.h"`
`#include "widget_time.h"`
`#include "cellrenderer_gradient.h"`
`#include "cellrenderer_value.h"`
`#include "widget_gradient.h"`
`#include "dialog_gradient.h"`
`#include "dialog_color.h"`
`#include <gtkmm/textview.h>`
`#include "general.h"`

## Defines

#define | DIGITS 15

## Functions

bool | get_paragraph (synfig::String &text)

## Detailed Description

Template File.

$Id$

## Define Documentation

#define DIGITS 15

Referenced by studio::Widget_ValueBase::Widget_ValueBase(), and studio::Widget_Vector::Widget_Vector().

## Function Documentation

bool get_paragraph | ( | synfig::String & | text | ) |

References _, and synfigapp::Action::create().